function b = sumgabororientations(a)
% sum the gabor outputs for the different orientations...
% (because the features should be rotationally invariant)

n = size(a,2)-1;
n = n/4;

b = a(:,1); % keep the first feature (original image)
for i=0:(n-1)
   I = 2+((i*4):(i*4+3));
   b = [b mean(a(:,I),2)];
end

